Skip to main content
`Ctrl`+`K`

# TSTrajectoryGetSolutionOnly

Gets the value set with `TSTrajectorySetSolutionOnly()`.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectoryGetSolutionOnly(TSTrajectory tj, PetscBool *solution_only)

Logically Collective

## Input Parameter

- tj - the `TSTrajectory` context

## Output Parameter

- solution_only - the boolean flag

## See Also

TS: Scalable ODE and DAE Solvers, `TSTrajectory`, `TSSetSaveTrajectory()`, `TSTrajectoryCreate()`, `TSTrajectoryDestroy()`, `TSTrajectorySetSolutionOnly()`

## Level

developer

## Location

src/ts/trajectory/interface/traj.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages